﻿Type=StaticCode
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private rPane01 As AnchorPane
	Private Parent As Form
	Private MenuBar1 As MenuBar
	Private tx1 As TextField
	Private tx2 As TextArea
	Private bt1 As Button
	Private mySkin As clSkin
End Sub

Public Sub Show(frm As Form)
	Parent = frm
	rPane01.Initialize("rPane01")
	mySkin.Initialize(rPane01, Me, 1)
	Dim wdt As Double = 300
	Dim hgt As Double = 250

	'Verifies that the minimum size of the main form is smaller than this form, and corrects if necessary.
	Main.minWidth = Max(Main.minWidth, wdt + 18)	'18 is equal to the sum of the lateral borders
	Main.minHeight = Max (Main.minHeight, hgt + 82)	'82 is equal to the sum of the top + menubar + bottom border
	Parent.WindowHeight = Max(Main.minHeight, Parent.WindowHeight)
	Parent.WindowWidth = Max(Main.minWidth, Parent.WindowWidth)
	Main.windowWdt = Parent.WindowWidth
	Main.windowHgt = Parent.WindowHeight
	
	'Centralize this form
	Dim lft As Double = (Parent.WindowWidth - wdt) * .5 
	Dim tp As Double = (Parent.WindowHeight - hgt - 82) * .5 + 59
	Parent.RootPane.AddNode(rPane01, lft, tp, wdt, hgt) 
	
	' ********* Insert your controls here . rPane??.AddNode(???)
	mySkin.setTitle("Child 01")
	MenuBar1.Initialize("MenuBar1")
	MenuBar1.PrefHeight = 25
	MenuBar1.Style ="-fx-background-color: linear-gradient(#cfdbf2, #6c7297);"
	rPane01.AddNode(MenuBar1, -1, -1, -1, -1)
	rPane01.SetAnchors(MenuBar1, 2, 20, 2, -1)
	tx1.Initialize("tx1")
	rPane01.AddNode(tx1, 30, 70, 120, 30)
	bt1.Initialize("bt1")
	rPane01.AddNode(bt1, 30, 110, 120, 30)
	bt1.Text = "Test"
	tx2.Initialize("tx2")
	tx2.WrapText = True
	Get_Menu
	rPane01.AddNode(tx2, -1, -1, -1, -1)
	rPane01.SetAnchors(tx2, 30, 150, 30, 25)
End Sub

Private Sub Get_Menu
	Dim mb As Menu
	mb.Initialize("Test 01", "")
	For i = 1 To 3
		Dim mi As MenuItem
		mi.Initialize("Option #" & i, "mItem")
		mi.Tag = i
		mb.MenuItems.Add(mi)
	Next
	MenuBar1.Menus.Add(mb)
End Sub

'Create or delete anchor
Private Sub Form_Maximized(b As Boolean)
	If b Then
		Parent.RootPane.SetAnchors(rPane01, 9, 34, 9,23)
	Else	
		Dim jo As JavaObject = Parent.RootPane
		jo.RunMethod("clearConstraints", Array(rPane01))
	End If
End Sub

Private Sub rPane01_MousePressed (EventData As MouseEvent)
	Utils.front(rPane01)
End Sub


